Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
/
links
List recording links
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "links": [
      {
        "linkId": "<string>",
        "linkTitle": "<string>",
        "linkReusable": true,
        "linkProviderId": "<string>",
        "linkProviderReference": "<string>",
        "linkURL": "<string>",
        "linkMeta": {},
        "createdAt": "<unknown>",
        "project": {
          "projectId": "<string>",
          "title": "<string>"
        },
        "creator": {
          "workspaceMemberId": "<string>",
          "name": "<string>"
        },
        "domain": {
          "domainId": "<string>",
          "url": "<string>"
        }
      }
    ],
    "pagination": {
      "page": 123,
      "perPage": 123,
      "total": 4503599627370495,
      "totalPages": 4503599627370495,
      "hasMore": true
    }
  }
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
Returns a paginated list of recording links in the specified workspace with optional filtering and sorting.

Errors

This endpoint returns common authentication errors.

Create Link

Create a new recording link

Get Link

Retrieve details for a specific link

List Recordings

Filter recordings by link ID

Pagination

Page-based pagination for list endpoints

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1

Query Parameters

page
integer
default:1
required
Required range: x <= 9007199254740991
per_page
integer
default:10
required
Required range: 1 <= x <= 20
created_by
string[]
Minimum string length: 1
project_id
string[]
Minimum string length: 1
domain_id
string[]
Minimum string length: 1
Available options:
intercom,
zendesk,
hubspot,
freshdesk,
freshchat,
jira_service_management,
helpscout,
happyfox,
ada,
forethought,
servicenow,
front,
zoho_desk,
crisp,
pylon,
plain,
asana,
azure_devops,
clickup,
github,
gitlab,
jira,
linear,
notion,
sentry,
slack,
web,
others
Available options:
file,
recording,
session,
screenshot
sort_by
enum<string>
default:created_at
required
Available options:
created_at,
link_title
sort_direction
enum<string>
default:desc
required
Available options:
asc,
desc

Response

OK

message
string
required
data
object
required